#!/bin/sh

set -e

PKGS="autopilot-touch phone-app-connected-autopilot"

MISSING=0
dpkg -s $PKGS 2>/dev/null >/dev/null || MISSING=1
if [ $MISSING -eq 1 ] ; then
	apt-get install -yq --force-yes $PKGS
else
	echo "setup not needed"
fi
# we have issues with running the test too soon, this is a hack:
echo "SLEEPING 60 TO HELP MAKE SURE PHONE IS READY"
sleep 60

# remove old logs so the receive test will work
rm /home/phablet/.local/share/TpLogger/logs/ofono_ofono_account0/* -rf

# set up the config file for the test
NUMBER=$(./sms_self.py --list)
cat ./testnumbers.cfg | sed -e "s/TODO/+$NUMBER/" > /home/phablet/.testnumbers.cfg

# now send an sms to ourself
./sms_self.py
sleep 10s  # try and let the message come through

/usr/local/bin/unlock_screen.sh
