#!/bin/sh

set -e

PKGS="autopilot-touch unity8-autopilot"

MISSING=0
dpkg -s $PKGS 2>/dev/null >/dev/null || MISSING=1
if [ $MISSING -eq 1 ] ; then
	apt-get install -yq --force-yes $PKGS
else
	echo "setup not needed"
fi
sudo -i -u phablet bash -ic "stop unity8"
